## Class TScaffoldListView

Description

TScaffoldListView displays a list of Active Records.

The Header property is a TRepeater displaying the Active Record property/field names. The Sort property is a drop down list displaying the combination of properties and its possible ordering. The Pager property is a TPager control displaying the links and/or buttons that navigate to different pages in the Active Record data. The List property is a TRepeater that renders a row of Active Record data.

Custom rendering of the each Active Record can be achieved by specifying the ItemTemplate or AlternatingItemTemplate property of the main {@linnk getList List} repeater.

The TScaffoldListView will listen for two command events named "delete" and "edit". A "delete" command will delete a the record for the row where the "delete" command is originates. An "edit" command will push the record data to be edited by a TScaffoldEditView with ID specified by the EditViewID.

Additional SearchCondition and SearchParameters (takes array values) can be specified to customize the records to be shown. The SearchCondition will be used as the Condition property of TActiveRecordCriteria, and similarly the SearchParameters will be the corresponding Parameters property of TActiveRecordCriteria.

- since: 3.1
- version: $Id: TScaffoldListView.php 2014 2007-06-15 17:25:22Z xue $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/ActiveRecord/Scaffold/TScaffoldListView.php (line 51)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldListView

Method Summary
void bubbleEvent (mixed $sender, mixed $param)
void deleteRecord (mixed $sender, mixed $param)
TScaffoldEditView getEditViewControl ()
string getEditViewID ()
TRepeater getHeader ()
TRepeater getList ()
TPager getPager ()
TActiveRecordCriteria getRecordCriteria ()
void getSearchCondition (string 0)
array getSearchParameters ()
TDropDownList getSort ()
void initializeEdit (mixed $sender, mixed $param)
void initializeSort ()
void listItemCreated (mixed $sender, mixed $param)
void loadRecordData ()
void onPreRender (mixed $param)
void pageChanged (mixed $sender, mixed $param)
void populateField (mixed $sender, mixed $param)
void setEditViewID (string $value)
void setSearchCondition (string $value)
void setSearchParameters (array $value)
Methods
bubbleEvent (line 159)

Continue bubbling the "edit" command, "delete" command is handled in this class.

- access: public

void bubbleEvent (mixed $sender, mixed $param)

Redefinition of:

TControl::bubbleEvent()
  This method responds to a bubbled event.

deleteRecord (line 191)

Deletes an Active Record.

- access: protected

void deleteRecord (mixed $sender, mixed $param)
getEditViewControl (line 295)

- return: control for editing selected Active Record, null if EditViewID is not set.
- access: protected

TScaffoldEditView getEditViewControl ()
getEditViewID (line 279)

- return: TScaffoldEditView control ID for editing selected Active Record.
- access: public

string getEditViewID ()
getHeader (line 270)

- return: Repeater control for record property names.
- access: public

TRepeater getHeader ()
getList (line 243)

- return: Repeater control for Active Record instances.
- access: public

TRepeater getList ()
getPager (line 252)

- return: List pager control.
- access: public

TPager getPager ()
getRecordCriteria (line 104)

- return: sort/search/paging criteria
- access: protected

TActiveRecordCriteria getRecordCriteria ()
getSearchCondition (line 135)

- access: public

void getSearchCondition (string 0)

- string 0: SQL search condition for list display.

getSearchParameters (line 151)

- return: search parameters
- access: public

array getSearchParameters ()
getSort (line 261)

- return: Control that displays and controls the record ordering.
- access: public

TDropDownList getSort ()
initializeEdit (line 175)

Initialize the edit view control form when EditViewID is set.

- access: protected

void initializeEdit (mixed $sender, mixed $param)
initializeSort (line 56)

Initialize the sort drop down list and the column names repeater.

- access: protected

void initializeSort ()
listItemCreated (line 203)

Initialize the default display for each Active Record item.

- access: protected

void listItemCreated (mixed $sender, mixed $param)
loadRecordData (line 91)

Fetch the records and data bind it to the list.

- access: protected

void loadRecordData ()
onPreRender (line 77)

Loads and display the data.

- access: public

void onPreRender (mixed $param)

Redefinition of:

TScaffoldBase::onPreRender()
  Publish the default stylesheet file.

pageChanged (line 235)

Updates repeater page index with the pager new index value.

- access: protected

void pageChanged (mixed $sender, mixed $param)
populateField (line 218)

Sets the Record primary key to the current repeater item's CustomData.

Binds the inner repeater with properties of the current Active Record.

- access: protected

void populateField (mixed $sender, mixed $param)
setEditViewID (line 287)

- access: public

void setEditViewID (string $value)

- string $value: TScaffoldEditView control ID for editing selected Active Record.

setSearchCondition (line 127)

- access: public

void setSearchCondition (string $value)

- string $value: search condition, the SQL string after the WHERE clause.

setSearchParameters (line 143)

- access: public

void setSearchParameters (array $value)

- array $value: search parameters

#### Inherited Methods

Inherited From TScaffoldBase

> TScaffoldBase::clearRecordObject()
> TScaffoldBase::copyFrom()
> TScaffoldBase::getDefaultStyle()
> TScaffoldBase::getEnableDefaultStyle()
> TScaffoldBase::getRecordClass()
> TScaffoldBase::getRecordFinder()
> TScaffoldBase::getRecordObject()
> TScaffoldBase::getRecordPkValues()
> TScaffoldBase::getRecordPropertyValues()
> TScaffoldBase::getTableInfo()
> TScaffoldBase::onPreRender()
> TScaffoldBase::setDefaultStyle()
> TScaffoldBase::setEnableDefaultStyle()
> TScaffoldBase::setRecordClass()
> TScaffoldBase::setRecordObject()

Inherited From TTemplateControl

> TTemplateControl::createChildControls()
> TTemplateControl::getIsSourceTemplateControl()
> TTemplateControl::getMaster()
> TTemplateControl::getMasterClass()
> TTemplateControl::getTemplate()
> TTemplateControl::getTemplateDirectory()
> TTemplateControl::initRecursive()
> TTemplateControl::injectContent()
> TTemplateControl::loadTemplate()
> TTemplateControl::registerContent()
> TTemplateControl::registerContentPlaceHolder()
> TTemplateControl::setMasterClass()
> TTemplateControl::setTemplate()

Inherited From TCompositeControl

> TCompositeControl::initRecursive()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TTemplateControl

> TTemplateControl::EXT_TEMPLATE

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:07 -0400 by phpDocumentor 1.3.0RC4